Index: src/java/org/apache/commons/dbcp/BasicDataSource.java
===================================================================
--- src/java/org/apache/commons/dbcp/BasicDataSource.java.orig	2012-05-25 11:00:29.875161362 +0200
+++ src/java/org/apache/commons/dbcp/BasicDataSource.java	2012-05-25 11:02:59.705157897 +0200
@@ -19,10 +19,12 @@
 
 import java.io.PrintWriter;
 import java.util.Properties;
+import java.util.logging.Logger;
 import java.sql.Connection;
 import java.sql.Driver;
 import java.sql.DriverManager;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import javax.sql.DataSource;
 
 import org.apache.commons.pool.impl.GenericKeyedObjectPool;
@@ -1277,4 +1279,10 @@
             logWriter.println(message);
         }
     }
+
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
Index: src/java/org/apache/commons/dbcp/cpdsadapter/DriverAdapterCPDS.java
===================================================================
--- src/java/org/apache/commons/dbcp/cpdsadapter/DriverAdapterCPDS.java.orig	2007-03-25 23:51:25.000000000 +0200
+++ src/java/org/apache/commons/dbcp/cpdsadapter/DriverAdapterCPDS.java	2012-05-25 11:01:48.199159547 +0200
@@ -18,12 +18,14 @@
 package org.apache.commons.dbcp.cpdsadapter;
 
 import java.util.Hashtable;
+import java.util.logging.Logger;
 import  java.io.PrintWriter;
 import  java.io.Serializable;
 import java.sql.DriverManager;
 import java.sql.SQLException;
 import javax.sql.PooledConnection;
 import javax.sql.ConnectionPoolDataSource;
+import java.sql.SQLFeatureNotSupportedException;
 import javax.naming.Name;
 import javax.naming.Context;
 import javax.naming.Referenceable;
@@ -600,4 +602,10 @@
     {
         _maxPreparedStatements = maxPreparedStatements;
     }
+
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
Index: src/java/org/apache/commons/dbcp/datasources/PerUserPoolDataSource.java
===================================================================
--- src/java/org/apache/commons/dbcp/datasources/PerUserPoolDataSource.java.orig	2007-03-25 23:51:25.000000000 +0200
+++ src/java/org/apache/commons/dbcp/datasources/PerUserPoolDataSource.java	2012-05-25 11:02:12.245158994 +0200
@@ -21,9 +21,11 @@
 import java.io.ObjectInputStream;
 import java.sql.Connection;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.util.HashMap;
 import java.util.Iterator;
 import java.util.Map;
+import java.util.logging.Logger;
 
 import javax.naming.NamingException;
 import javax.naming.Reference;
@@ -515,4 +517,10 @@
             throw new IOException("NamingException: " + e);
         }
     }
+
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
Index: src/java/org/apache/commons/dbcp/datasources/SharedPoolDataSource.java
===================================================================
--- src/java/org/apache/commons/dbcp/datasources/SharedPoolDataSource.java.orig	2007-03-25 23:51:25.000000000 +0200
+++ src/java/org/apache/commons/dbcp/datasources/SharedPoolDataSource.java	2012-05-25 11:02:36.557158432 +0200
@@ -21,6 +21,8 @@
 import java.io.ObjectInputStream;
 import java.sql.Connection;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
+import java.util.logging.Logger;
 import java.util.Map;
 
 import javax.naming.NamingException;
@@ -254,5 +256,11 @@
             throw new IOException("NamingException: " + e);
         }
     }
+
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
 
Index: src/java/org/apache/commons/dbcp/DelegatingCallableStatement.java
===================================================================
--- src/java/org/apache/commons/dbcp/DelegatingCallableStatement.java.orig	2012-05-25 11:00:29.877161362 +0200
+++ src/java/org/apache/commons/dbcp/DelegatingCallableStatement.java	2012-05-25 11:00:44.958161014 +0200
@@ -37,6 +37,7 @@
 import java.sql.RowId;
 import java.sql.SQLXML;
 /* JDBC_4_ANT_KEY_END */
+import java.sql.SQLFeatureNotSupportedException;
 
 /**
  * A base delegating implementation of {@link CallableStatement}.
@@ -670,4 +671,14 @@
         }
     }
 /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(String columnLabel, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(int columnIndex, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
Index: src/java/org/apache/commons/dbcp/DelegatingConnection.java
===================================================================
--- src/java/org/apache/commons/dbcp/DelegatingConnection.java.orig	2012-05-25 11:00:29.877161362 +0200
+++ src/java/org/apache/commons/dbcp/DelegatingConnection.java	2012-05-25 11:03:21.187157402 +0200
@@ -26,6 +26,7 @@
 import java.sql.Statement;
 import java.util.List;
 import java.util.Map;
+import java.util.concurrent.Executor;
 /* JDBC_4_ANT_KEY_BEGIN */
 import java.sql.Array;
 import java.sql.Blob;
@@ -39,6 +40,7 @@
 import java.util.Map;
 import java.util.Properties;
 /* JDBC_4_ANT_KEY_END */
+import java.sql.SQLFeatureNotSupportedException;
 
 /**
  * A base delegating implementation of {@link Connection}.
@@ -639,5 +641,31 @@
             return null;
         }
     }
-/* JDBC_4_ANT_KEY_END */
+    /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public int getNetworkTimeout() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void setNetworkTimeout(Executor executor, int milliseconds) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void abort(Executor executor) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public String getSchema() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void setSchema(String schema) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
+
Index: src/java/org/apache/commons/dbcp/DelegatingPreparedStatement.java
===================================================================
--- src/java/org/apache/commons/dbcp/DelegatingPreparedStatement.java.orig	2012-05-25 11:00:29.877161362 +0200
+++ src/java/org/apache/commons/dbcp/DelegatingPreparedStatement.java	2012-05-25 11:00:44.960161014 +0200
@@ -34,6 +34,7 @@
 import java.sql.RowId;
 import java.sql.SQLXML;
 /* JDBC_4_ANT_KEY_END */
+import java.sql.SQLFeatureNotSupportedException;
 
 /**
  * A base delegating implementation of {@link PreparedStatement}.
@@ -411,4 +412,15 @@
         }
     }
 /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public boolean isCloseOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void closeOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
Index: src/java/org/apache/commons/dbcp/DelegatingResultSet.java
===================================================================
--- src/java/org/apache/commons/dbcp/DelegatingResultSet.java.orig	2012-05-25 11:00:29.878161362 +0200
+++ src/java/org/apache/commons/dbcp/DelegatingResultSet.java	2012-05-25 11:00:44.960161014 +0200
@@ -39,6 +39,7 @@
 import java.sql.RowId;
 import java.sql.SQLXML;
 /* JDBC_4_ANT_KEY_END */
+import java.sql.SQLFeatureNotSupportedException;
 
 /**
  * A base delegating implementation of {@link ResultSet}.
@@ -1045,4 +1046,14 @@
         }
     }
 /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(String columnLabel, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(int columnIndex, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
Index: src/java/org/apache/commons/dbcp/DelegatingStatement.java
===================================================================
--- src/java/org/apache/commons/dbcp/DelegatingStatement.java.orig	2012-05-25 11:00:29.878161362 +0200
+++ src/java/org/apache/commons/dbcp/DelegatingStatement.java	2012-05-25 11:00:44.961161014 +0200
@@ -22,6 +22,7 @@
 import java.sql.SQLException;
 import java.sql.SQLWarning;
 import java.sql.Statement;
+import java.sql.SQLFeatureNotSupportedException;
 import java.util.List;
 
 /**
@@ -370,4 +371,15 @@
         }
     }
 /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public boolean isCloseOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void closeOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
Index: src/java/org/apache/commons/dbcp/PoolablePreparedStatement.java
===================================================================
--- src/java/org/apache/commons/dbcp/PoolablePreparedStatement.java.orig	2007-03-25 23:51:25.000000000 +0200
+++ src/java/org/apache/commons/dbcp/PoolablePreparedStatement.java	2012-05-25 11:00:44.961161014 +0200
@@ -21,6 +21,7 @@
 import java.sql.PreparedStatement;
 import java.sql.ResultSet;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.util.List;
 
 import org.apache.commons.pool.KeyedObjectPool;
@@ -117,4 +118,14 @@
         super.passivate();
     }
 
+    /* This functionality is not implemented yet */
+    public boolean isCloseOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void closeOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
Index: src/java/org/apache/commons/dbcp/PoolingConnection.java
===================================================================
--- src/java/org/apache/commons/dbcp/PoolingConnection.java.orig	2007-03-25 23:51:25.000000000 +0200
+++ src/java/org/apache/commons/dbcp/PoolingConnection.java	2012-05-25 11:00:44.961161014 +0200
@@ -20,8 +20,10 @@
 import java.sql.Connection;
 import java.sql.PreparedStatement;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 
 import java.util.NoSuchElementException;
+import java.util.concurrent.Executor;
 
 import org.apache.commons.pool.KeyedObjectPool;
 import org.apache.commons.pool.KeyedPoolableObjectFactory;
@@ -314,4 +316,30 @@
             return buf.toString();
         }
     }
+
+    /* This functionality is not implemented yet */
+    public int getNetworkTimeout() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void setNetworkTimeout(Executor executor, int milliseconds) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void abort(Executor executor) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public String getSchema() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public void setSchema(String schema) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
+
Index: src/java/org/apache/commons/dbcp/PoolingDataSource.java
===================================================================
--- src/java/org/apache/commons/dbcp/PoolingDataSource.java.orig	2012-05-25 11:00:29.878161362 +0200
+++ src/java/org/apache/commons/dbcp/PoolingDataSource.java	2012-05-25 11:00:44.962161014 +0200
@@ -23,10 +23,12 @@
 import java.sql.DatabaseMetaData;
 import java.sql.PreparedStatement;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.sql.SQLWarning;
 import java.sql.Statement;
 import java.util.Map;
 import java.util.NoSuchElementException;
+import java.util.logging.Logger;
 
 import javax.sql.DataSource;
 
@@ -441,4 +443,9 @@
             }
         }
     }
+
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
Index: src/java/org/apache/commons/dbcp/PoolingDriver.java
===================================================================
--- src/java/org/apache/commons/dbcp/PoolingDriver.java.orig	2007-03-25 23:51:25.000000000 +0200
+++ src/java/org/apache/commons/dbcp/PoolingDriver.java	2012-05-25 11:00:44.962161014 +0200
@@ -27,6 +27,7 @@
 import java.sql.DriverPropertyInfo;
 import java.sql.PreparedStatement;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.sql.SQLWarning;
 import java.sql.Statement;
 import java.util.HashMap;
@@ -34,6 +35,7 @@
 import java.util.NoSuchElementException;
 import java.util.Properties;
 import java.util.Set;
+import java.util.logging.Logger;
 
 import org.apache.commons.jocl.JOCLContentHandler;
 import org.apache.commons.pool.ObjectPool;
@@ -498,4 +500,10 @@
             }
         }
     }
+
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
 }
Index: src/java/org/apache/commons/dbcp/cpdsadapter/ConnectionImpl.java
===================================================================
--- src/java/org/apache/commons/dbcp/cpdsadapter/ConnectionImpl.java.orig	2012-05-25 11:00:29.879161362 +0200
+++ src/java/org/apache/commons/dbcp/cpdsadapter/ConnectionImpl.java	2012-05-25 11:17:25.623137869 +0200
@@ -18,6 +18,7 @@
 package org.apache.commons.dbcp.cpdsadapter;
 
 import java.util.Map;
+import java.util.concurrent.Executor;
 import java.sql.Connection;
 import java.sql.DatabaseMetaData;
 import java.sql.PreparedStatement;
@@ -25,6 +26,7 @@
 import java.sql.Statement;
 import java.sql.SQLWarning;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 /* JDBC_4_ANT_KEY_BEGIN */
 import java.sql.Array;
 import java.sql.Blob;
@@ -552,4 +554,20 @@
         return connection.getClientInfo(name);
     }
 /* JDBC_4_ANT_KEY_END */
+
+    public void setSchema(String schema) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+    public String getSchema() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+    public void abort(Executor executor) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+    public void setNetworkTimeout(Executor executor, int milliseconds) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+    public int getNetworkTimeout() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
Index: src/test/org/apache/commons/dbcp/TesterConnection.java
===================================================================
--- src/test/org/apache/commons/dbcp/TesterConnection.java.orig	2012-05-25 11:00:29.911161362 +0200
+++ src/test/org/apache/commons/dbcp/TesterConnection.java	2012-05-25 11:21:38.111132030 +0200
@@ -22,9 +22,11 @@
 import java.sql.DatabaseMetaData;
 import java.sql.PreparedStatement;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.sql.SQLWarning;
 import java.sql.Statement;
 import java.util.Map;
+import java.util.concurrent.Executor;
 /* JDBC_4_ANT_KEY_BEGIN */
 import java.sql.Array;
 import java.sql.Blob;
@@ -339,4 +341,20 @@
         throw new SQLException("Not implemented.");
     }
 /* JDBC_4_ANT_KEY_END */
+
+    public void setSchema(String schema) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+    public String getSchema() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+    public void abort(Executor executor) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+    public void setNetworkTimeout(Executor executor, int milliseconds) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+    public int getNetworkTimeout() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
Index: src/test/org/apache/commons/dbcp/TesterDriver.java
===================================================================
--- src/test/org/apache/commons/dbcp/TesterDriver.java.orig	2007-03-25 23:51:25.000000000 +0200
+++ src/test/org/apache/commons/dbcp/TesterDriver.java	2012-05-25 11:22:43.659130513 +0200
@@ -22,7 +22,9 @@
 import java.sql.DriverManager;
 import java.sql.DriverPropertyInfo;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.util.Properties;
+import java.util.logging.Logger;
 
 /**
  * Mock object implementing the <code>java.sql.Driver</code> interface.
@@ -122,4 +124,10 @@
     protected static int MAJOR_VERSION = 1;
     protected static int MINOR_VERSION = 0;
 
+    /* This functionality is not implemented yet */
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+
 }
Index: src/test/org/apache/commons/dbcp/TesterPreparedStatement.java
===================================================================
--- src/test/org/apache/commons/dbcp/TesterPreparedStatement.java.orig	2012-05-25 11:00:29.912161362 +0200
+++ src/test/org/apache/commons/dbcp/TesterPreparedStatement.java	2012-05-25 11:39:08.412107736 +0200
@@ -27,6 +27,7 @@
 import java.sql.ResultSet;
 import java.sql.ResultSetMetaData;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.util.Calendar;
 /* JDBC_4_ANT_KEY_BEGIN */
 import java.io.InputStream;
@@ -370,4 +371,20 @@
         throw new SQLException("Not implemented.");
     }
 /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(String columnLabel, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(int columnIndex, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+    public void closeOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+    public boolean isCloseOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
Index: src/test/org/apache/commons/dbcp/TesterResultSet.java
===================================================================
--- src/test/org/apache/commons/dbcp/TesterResultSet.java.orig	2012-05-25 11:00:29.912161362 +0200
+++ src/test/org/apache/commons/dbcp/TesterResultSet.java	2012-05-25 11:26:54.872124703 +0200
@@ -25,6 +25,7 @@
 import java.sql.ResultSet;
 import java.sql.ResultSetMetaData;
 import java.sql.SQLException;
+import java.sql.SQLFeatureNotSupportedException;
 import java.sql.SQLWarning;
 import java.sql.Statement;
 import java.util.Calendar;
@@ -43,7 +44,7 @@
  * @author Dirk Verbeeck
  * @version $Revision: 479142 $ $Date: 2006-11-25 09:31:27 -0700 (Sat, 25 Nov 2006) $
  */
-public class TesterResultSet implements ResultSet {
+public class TesterResultSet<T> implements ResultSet {
     public TesterResultSet(Statement stmt) {
         _statement = stmt;
     }
@@ -967,4 +968,14 @@
         throw new SQLException("Not implemented.");
     }
 /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(String columnLabel, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(int columnIndex, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
Index: src/test/org/apache/commons/dbcp/TesterStatement.java
===================================================================
--- src/test/org/apache/commons/dbcp/TesterStatement.java.orig	2012-05-25 11:00:29.912161362 +0200
+++ src/test/org/apache/commons/dbcp/TesterStatement.java	2012-05-25 11:39:29.973107237 +0200
@@ -22,6 +22,8 @@
 import java.sql.SQLException;
 import java.sql.SQLWarning;
 import java.sql.Statement;
+import java.util.logging.Logger;
+import java.sql.SQLFeatureNotSupportedException;
 
 /**
  * A dummy {@link Statement}, for testing purposes.
@@ -286,4 +288,20 @@
         throw new SQLException("Not implemented.");
     }
 /* JDBC_4_ANT_KEY_END */
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(String columnLabel, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+
+    /* This functionality is not implemented yet */
+    public <T> T getObject(int columnIndex, Class<T> type) throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+    public void closeOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
+    public boolean isCloseOnCompletion() throws SQLException {
+        throw new SQLFeatureNotSupportedException();
+    }
 }
